Skip to main content
GET
Retrieve a transaction

Authorizations

Authorization
string
header
required

Secret API key, e.g. sk_live_... or sk_test_....

Path Parameters

transaction_id
string
required

Response

OK.

id
string
required
read-only

Unique identifier, prefixed with txn_.

Example:

"txn_01JZ8P7H2R"

object
enum<string>
required
read-only

Object type.

Available options:
transaction
card_id
string
required
Example:

"card_01JZ8N2K4M"

amount
integer<int64>
required

Transaction amount in the card currency. In the smallest currency unit (e.g. cents).

Required range: x >= 0
Example:

1299

currency
string
required

Three-letter ISO 4217 currency code.

Pattern: ^[A-Z]{3}$
Example:

"EUR"

status
enum<string>
required
Available options:
authorized,
declined,
reversed,
settled
created_at
string<date-time>
required
read-only

Time of authorization.

customer_id
string
Example:

"cus_01JZ8M4X7K"

type
enum<string>
Available options:
purchase,
refund,
cash_withdrawal
Example:

"purchase"

merchant_amount
integer<int64>

Amount in the merchant currency. In the smallest currency unit (e.g. cents).

Required range: x >= 0
Example:

1299

merchant_currency
string

Three-letter ISO 4217 currency code.

Pattern: ^[A-Z]{3}$
Example:

"EUR"

decline_reason
enum<string> | null

Set when status is declined.

Available options:
insufficient_funds,
card_frozen,
spending_limit_exceeded,
authorization_control,
incorrect_pin,
suspected_fraud,
other
merchant
object
channel
enum<string>
Available options:
online,
in_store,
contactless,
atm
settled_at
string<date-time> | null
read-only

Time of settlement.